summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordtucker@openbsd.org <dtucker@openbsd.org>2020-04-21 23:14:58 +0000
committerDarren Tucker <dtucker@dtucker.net>2020-04-22 11:35:49 +1000
commit01d4cdcd4514e99a4b6eb9523cd832bbf008d1d7 (patch)
tree209852eb63d3ee54189fcde2de6dc7b06564215a
parent8854724ccefc1fa16f10b37eda2e759c98148caa (diff)
upstream: Backslash '$' at then end of string. Prevents warning on
some shells. OpenBSD-Regress-ID: 5dc27ab624c09d34078fd326b10e38c1ce9c741f
-rw-r--r--regress/keygen-comment.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/regress/keygen-comment.sh b/regress/keygen-comment.sh
index 74a734af..af571d39 100644
--- a/regress/keygen-comment.sh
+++ b/regress/keygen-comment.sh
@@ -11,7 +11,7 @@ check_fingerprint () {
if ! ${SSHKEYGEN} -l -E sha256 -f $file > $OBJ/$t-fgp ; then
fail "ssh-keygen -l failed for $t-key"
fi
- if ! egrep "^([0-9]+) SHA256:(.){43} ${comment} \(.*\)$" \
+ if ! egrep "^([0-9]+) SHA256:(.){43} ${comment} \(.*\)\$" \
$OBJ/$t-fgp >/dev/null 2>&1 ; then
fail "comment is not correctly recovered for $t-key"
fi